
#version 330

layout (location = 0) in vec2 pos;
layout (location = 1) in vec4 color;

uniform mat3 viewMatrix; // projection (viewport) + camera
uniform mat3 worldMatrix; // matrix stack
uniform mat3 modelMatrix; // local transformations

out vec4 vertexColor;

void main() {
	vec3 result = viewMatrix * worldMatrix * modelMatrix * vec3(pos, 1.0);
	gl_Position = vec4(result.x, result.y, 0.0, result.z);

	vertexColor = color;
}
